commit:     9c50163cb1a3c5b22e79f6da54e696c49e4121b2
Author:     Bernard Cafarelli <voyageur <AT> gentoo <DOT> org>
AuthorDate: Wed Dec 20 13:56:05 2017 +0000
Commit:     Bernard Cafarelli <voyageur <AT> gentoo <DOT> org>
CommitDate: Wed Dec 20 13:57:37 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9c50163c

www-apps/owncloud: 10.0.4 and 9.1.7 bumps

Closes: https://bugs.gentoo.org/641518
Package-Manager: Portage-2.3.19, Repoman-2.3.6

 www-apps/owncloud/Manifest               |  2 ++
 www-apps/owncloud/owncloud-10.0.4.ebuild | 47 ++++++++++++++++++++++++++++++++
 www-apps/owncloud/owncloud-9.1.7.ebuild  | 47 ++++++++++++++++++++++++++++++++
 3 files changed, 96 insertions(+)

diff --git a/www-apps/owncloud/Manifest b/www-apps/owncloud/Manifest
index 2c9bdc50fcd..a9c37118b90 100644
--- a/www-apps/owncloud/Manifest
+++ b/www-apps/owncloud/Manifest
@@ -1,4 +1,6 @@
 DIST owncloud-10.0.2.tar.bz2 30963258 BLAKE2B 
3e5a343d51d55cc96fd8d83a1e0769ba55e4a8c21c659ba1e0888ba6173f7732b17d77b5ad174bb9c61348c2802aa10da74f9593c434e5ce44de20881e5c201c
 SHA512 
1d83e194c6d1835f47051ea334b39650b9ce394eacd91199283fe926aa4b5ae88e709f8802547ec7e8e2935ea0064ba1f42bdbe137552e6c75ca4459c7e36ad0
 DIST owncloud-10.0.3.tar.bz2 35358244 BLAKE2B 
14468da8aa8c8056d45298d6c5a8233f5da684c31c48f6db2bcf7f98102af7077765bac586b4d4a7c38b2b2bc1cd29a6bcedbe338a0698bb5df63cdeb19f105b
 SHA512 
bafba0416182bc4051e2664c0d2b328912c8c7c49b42f8f6e9540fab40ec5d49c592f84d639ef32380291cbe4d8b8acce4b40dba8a6c9e2440c29fd9943b274a
+DIST owncloud-10.0.4.tar.bz2 38584730 BLAKE2B 
917aab96c330622a3c393cdc8379e68022e530f2e66fc10ba292c845e25921f64d82f74b1c544a1b3671998852dae2495d152987641fb35e13f83ac1d40477cb
 SHA512 
898d67d5b37f1f85c285dacd312ffb40b82bcba5dc57519b893df4a7bbb1e1f41c2d15b05c710427977c087592502f5fc598547ea440716018865f249ea1ead7
 DIST owncloud-9.0.10.tar.bz2 28522993 BLAKE2B 
e5492e5d97e0a3c000ba28c5cb7444b0c83b2cae2b95d92009436cad018e2b4612401e030664c522359f397c7efc3dca067dd9ea74456268d9c70d3cb1759331
 SHA512 
da0980ef5180097a56f663205e42824570dd000bddd337ff3e7ac7ee76b76b976b18ed7f77ca250ab974c934973811e8d8d384ca7951a043ad90148583dac577
 DIST owncloud-9.1.6.tar.bz2 29134671 BLAKE2B 
3c2b0643fca2e5dc8ce16e905380abe9932051bd0365228b7f853f21732251133535d2625f5f13423cc72845947cdc29abf373b914806f50b7881e14da3b7de1
 SHA512 
40b4fd03c188624c059fed6737b102cae03c6b1c713644733eae3e0cba8e86db6856e7a831bcc2bff660dfc4eacd979f200ec55f8bc1e36e3209142f21f7989c
+DIST owncloud-9.1.7.tar.bz2 29243610 BLAKE2B 
8a8a54c299df25c0f3fcca1accae3de7f27fe229d8175522fd2b72f3f865539219b733318b077455f80907b74fbd63d570dd73f40a61a5005415923b562ea819
 SHA512 
b31888c2c3e991869018a1cd46e75348b2b02d93effee8950d6e54568cd22eb634d750c790421e8bc0c1c991d146fb50c1826f4aa786e4a348f1d8fa5aa4870d

diff --git a/www-apps/owncloud/owncloud-10.0.4.ebuild 
b/www-apps/owncloud/owncloud-10.0.4.ebuild
new file mode 100644
index 00000000000..2c070014fe5
--- /dev/null
+++ b/www-apps/owncloud/owncloud-10.0.4.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit eutils webapp
+
+DESCRIPTION="Web-based storage application where all your data is under your 
own control"
+HOMEPAGE="http://owncloud.org";
+SRC_URI="http://download.owncloud.org/community/${P}.tar.bz2 -> ${PF}.tar.bz2"
+LICENSE="AGPL-3"
+
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="+curl mysql postgres +sqlite"
+REQUIRED_USE="|| ( mysql postgres sqlite )"
+
+DEPEND=""
+RDEPEND="dev-lang/php[curl?,filter,gd,hash,json,mysql?,pdo,posix,postgres?,session,simplexml,sqlite?,xmlreader,xmlwriter,zip]
+       virtual/httpd-php"
+
+S=${WORKDIR}/${PN}
+
+pkg_setup() {
+       webapp_pkg_setup
+}
+
+src_install() {
+       webapp_src_preinst
+
+       insinto "${MY_HTDOCSDIR}"
+       doins -r .
+       dodir "${MY_HTDOCSDIR}"/data
+
+       webapp_serverowned -R "${MY_HTDOCSDIR}"/apps
+       webapp_serverowned -R "${MY_HTDOCSDIR}"/data
+       webapp_serverowned -R "${MY_HTDOCSDIR}"/config
+       webapp_configfile "${MY_HTDOCSDIR}"/.htaccess
+
+       webapp_src_install
+}
+
+pkg_postinst() {
+       elog "Additional applications (calendar, ...) are no longer provided by 
default."
+       elog "You can install them after login via the applications management 
page"
+       elog "(check the recommended tab). No application data is lost."
+       webapp_pkg_postinst
+}

diff --git a/www-apps/owncloud/owncloud-9.1.7.ebuild 
b/www-apps/owncloud/owncloud-9.1.7.ebuild
new file mode 100644
index 00000000000..85552c665ee
--- /dev/null
+++ b/www-apps/owncloud/owncloud-9.1.7.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit eutils webapp
+
+DESCRIPTION="Web-based storage application where all your data is under your 
own control"
+HOMEPAGE="http://owncloud.org";
+SRC_URI="http://download.owncloud.org/community/${P}.tar.bz2 -> ${PF}.tar.bz2"
+LICENSE="AGPL-3"
+
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="+curl mysql postgres +sqlite"
+REQUIRED_USE="|| ( mysql postgres sqlite )"
+
+DEPEND=""
+RDEPEND="<dev-lang/php-7.1[curl?,filter,gd,hash,json,mysql?,pdo,posix,postgres?,session,simplexml,sqlite?,xmlreader,xmlwriter,zip]
+       <virtual/httpd-php-7.1"
+
+S=${WORKDIR}/${PN}
+
+pkg_setup() {
+       webapp_pkg_setup
+}
+
+src_install() {
+       webapp_src_preinst
+
+       insinto "${MY_HTDOCSDIR}"
+       doins -r .
+       dodir "${MY_HTDOCSDIR}"/data
+
+       webapp_serverowned -R "${MY_HTDOCSDIR}"/apps
+       webapp_serverowned -R "${MY_HTDOCSDIR}"/data
+       webapp_serverowned -R "${MY_HTDOCSDIR}"/config
+       webapp_configfile "${MY_HTDOCSDIR}"/.htaccess
+
+       webapp_src_install
+}
+
+pkg_postinst() {
+       elog "Additional applications (calendar, ...) are no longer provided by 
default."
+       elog "You can install them after login via the applications management 
page"
+       elog "(check the recommended tab). No application data is lost."
+       webapp_pkg_postinst
+}

Reply via email to